function obj = compute_obj_function_originalFormulation(X, y, D, w, nu, alpha, beta)
    
    obj = obj_fun_hinge(X, y, D, w, nu, alpha, beta);

    function loss = obj_fun_hinge(X, y, D, w, nu, alpha, beta)
     v = y(:)' .* (w' * nlf(D' * X, alpha, beta));
     loss = sum(max(0, 1 - v)) + nu/2 * (w'*w);
    end

    function ret = nlf(z, alpha, beta)
        ret = 1/beta * log(1+exp(beta * (z - alpha)));
        ret(ret == Inf) = (z(ret == Inf)-alpha);
    end
    

end