clear; clc; close all;

% Load the pigskin vs. pressedcl task
load('data/textures.mat');

% Training points class 1
X1 = X(:, y == 1);
% Training points class -1
X2 = X(:, y == -1);

%% Parameter setting
% Optional parameters here (see last.m for more details)
params = []; 
% Example:
params.delta = 0.1;

% Dictionary size
dict_size = 50;
% Maximum number of iterations
numIterMax = 50;
% Signs of desired normal vector
s = [ones(dict_size/2, 1); -ones(dict_size/2, 1)];

%% Training

% Initialize
U = [X1(:, 1:(dict_size/2)), X2(:, 1:(dict_size/2))]; 
v = ones(size(U, 2), 1);
Omega_ini = [U; v'];

% Run LAST algorithm
[D, w, acc_train, acc_test] = last(X, y, Omega_ini, s, numIterMax, params, X_test, y_test);